Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wavemaker.runtime.service
Class AbstractLiveDataService

    java.lang.Object
      com.wavemaker.runtime.service.AbstractLiveDataService

All Implemented Interfaces:
  LiveDataService

    public abstract class AbstractLiveDataService

extends java.lang.Object
implements LiveDataService

An abstract form of the `LiveDataService` interface.

Version:
  $Rev: 29059 $ - $Date: 2010-04-29 17:19:33 -0700 (Thu, 29 Apr 2010) $
Author:
  small

Constructor Summary
`AbstractLiveDataService()`

Method Summary
`protected java.lang.reflect.Method` | `findMethod(java.lang.String methodName, java.lang.Object[] arguments)` Get a method in the current object with the specified name which can take the arguments passed in (number of arguments is checked, types are not).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.wavemaker.runtime.service.LiveDataService
`delete, insert, read, update`

Constructor Detail

### AbstractLiveDataService

    public AbstractLiveDataService()

Method Detail

### findMethod

    protected java.lang.reflect.Method findMethod(java.lang.String methodName,
                                                  java.lang.Object[] arguments)

  Get a method in the current object with the specified name which can take the arguments passed in (number of arguments is checked, types are not). This method follows the same rules as for a JSON-RPC invoke; if there is more than one possible match with the same number of arguments, an exception is thrown.

  Parameters:
    `methodName` - The method to search for.
    `arguments` - The arguments which will be passed in; only the number of arguments is checked, not the type.
  Returns:
    The Method instance corresponding with the methodName and arguments parameters.
  Throws:
    `MethodInvokeException` - If the method is not found or the match isn't strict.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD